For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTAdvanced Search
      • POSTBatch Lookup Deals
      • GETSearch Users
      • PUTSet User Deal Role
      • DELRemove User From Deal
      • POSTCreate Deal
      • GETDeals
      • GETSearch Deals
      • POSTSearch Deals Advanced
      • GETDeal
      • PUTUpdate Deal
      • DELDelete Deal
      • GETExtra Metadata
      • PUTSet Metadata
      • DELDelete Metadata
      • POSTOrder Scan
      • GETComparable Deals
      • POSTExtract Key Findings and Company Description from a scan PDF
      • POSTGenerate a customized investment data request
      • GETGet Inline Image
      • PUTUpload Inline Image
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementDeal

Set User Deal Role

PUT
/api/v1/group/:group_id/deal/:deal_id/users/:user_id
PUT
/api/v1/group/:group_id/deal/:deal_id/users/:user_id
$curl -X PUT https://app.termina.ai/api/v1/group/1/deal/1/users/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "user": {
3 "id": 1,
4 "name": "string",
5 "thumbnail_url": "string",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z"
8 },
9 "role": "admin"
10}
Set the user's direct access role for this deal. The user will always end up with exactly one direct role for the deal. Requires admin role to manage members.
Was this page helpful?
Previous

Remove User From Deal

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
user_idintegerRequired

Request

This endpoint expects an object.
role_nameenumOptional
The role to set for the user
Allowed values:
notifybooleanOptionalDefaults to false
When true, send an email notification to the user about the shared deal

Response

Successful Response
userobject

Minimal user response for sharing contexts - excludes sensitive fields like email

roleenum

User’s access level for this deal: reader, editor, or admin

Allowed values:

Errors

422
Unprocessable Entity Error